Bug 811235 - RFE: Add support for setting BIOS path with virt-install -boot arg (for WHQL testing)
RFE: Add support for setting BIOS path with virt-install -boot arg (for WHQL ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-virtinst (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: virt-mgr-maint
Virtualization Bugs
: FutureFeature
Depends On: 811227
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 10:00 EDT by Daniel Berrange
Modified: 2012-07-24 15:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-24 15:20:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2012-04-10 10:00:07 EDT
Description of problem:
To support WHQL testing it is necessary to specify a custom BIOS for KVM. This can be done using the <loader> XML element to libvirt. The existing '-boot' arg to virt-install has support for many XML elements, but not <loader>.

Version-Release number of selected component (if applicable):
python-virtinst-0.600.0-8.el6

How reproducible:
Always

Steps to Reproduce:
1. virt-install --boot loader=/usr/share/seabios/bios.bin
2. virsh dumpxml GUESTNAME | xpath /domain/os/loader
3. virsh dumpxml --inactive GUESTNAME | xpath /domain/os/loader

Actual results:
ERROR    Unknown options ['loader']

Expected results:
[root@lettuce ~]# virsh dumpxml  demo | xpath /domain/os/loader
Found 1 nodes:
-- NODE --
<loader>/usr/share/seabios/bios.bin</loader>
[root@lettuce ~]# virsh dumpxml --inactive demo | xpath /domain/os/loader
Found 1 nodes:
-- NODE --
<loader>/usr/share/seabios/bios.bin</loader>


Additional info:
Comment 1 Daniel Berrange 2012-04-10 10:03:33 EDT
Upstream patch:

https://www.redhat.com/archives/virt-tools-list/2012-April/msg00054.html
Comment 2 Cole Robinson 2012-04-16 10:25:03 EDT
Upstream commit:

http://git.fedorahosted.org/git?p=python-virtinst.git;a=commit;h=6a2990c117747cea66a10096ca04dec3fcbbb568

But does anyone actually need this? No one chimed in on the internal thread about needing virt-install support.
Comment 3 Cole Robinson 2012-04-25 12:36:33 EDT
Deferring to 6.4 since I don't think this is a requirement for 6.3

Note You need to log in before you can comment on or make changes to this bug.